import fs from 'node:fs';
import color from 'chalk';

const getFileBy = (path, encoding = 'utf-8') => {
  return fs.promises.readFile(path, encoding);
};

// getFileBy('data/file01.txt')
//   .then((data) => {
//     console.log(color.green(data));
//   })
//   .catch((err) => {
//     console.log(color.red(err));
//   });

Promise.all([
  getFileBy('data/file01.txt'),
  getFileBy('data/file02.txt'),
  // getFileBy('data/404'),
  getFileBy('data/file03.txt'),
  getFileBy('data/file04.txt'),
])
  .then((data) => {
    console.log(data);
  })
  .catch((err) => {
    console.log(err);
  });
